import 'package:json_annotation/json_annotation.dart';

import 'analyze_choice_item_delta.dart';

part 'analyze_choice_item.g.dart';

/// 识图回复-选择项
@JsonSerializable()
class AnalyzeChoiceItem {
  @JsonKey(name: "delta")
  AnalyzeChoiceItemDelta? delta;

  @JsonKey(name: "index")
  int? index;

  @JsonKey(name: "finish_reason")
  String? finishReason;

  AnalyzeChoiceItem(this.delta, this.index, this.finishReason);

  factory AnalyzeChoiceItem.fromJson(Map<String, dynamic> json) =>
      _$AnalyzeChoiceItemFromJson(json);

  Map<String, dynamic> toJson() => _$AnalyzeChoiceItemToJson(this);
}
